# Consent Subscription Old

{% openapi src="/files/oU84SLTi520Le4BQXMW5" path="/APIcardProcREST/v1.0.0/ConsentSubscription/Modify" method="post" %}
[master-openapi-rest.yaml](https://855896703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4UWkWFnnmVPzvJTdMtC0%2Fuploads%2Fgit-blob-9c8fc55e75c1793cad69b4fd533facffdb581220%2Fmaster-openapi-rest.yaml?alt=media)
{% endopenapi %}

**Notes**&#x20;

**In most cases you may only want to modify a single parameter such as PaymentAdjustDate or OnHold. You can supply a value of -1 or "-1" to any value which you do not want us to alter.  The following example shows how to simply remove the hold from ConsentID 21.**&#x20;

&#x20;{\
"ConsentID": 21,\
"ConsentMods": {\
&#x20;   "ExpMonth": -1,\
&#x20;   "ExpYear": -1,\
&#x20;   "Email": "-1",\
&#x20;   "Zip": "-1",\
&#x20;   "RPGUID": "-1",\
&#x20;   "CustomerRefID": "-1",\
&#x20;   "ServiceDescrip": "-1",\
&#x20;   "PaymentAmt": -1,\
&#x20;   "PaymentAdjustDate": "-1",\
&#x20;   "OnHold": false\
&#x20;  }\
}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.number.tech/api-reference/rest-api-alt/consent-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
